summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-05-27 04:15:28 +0100
committerSam James <sam@gentoo.org>2022-05-27 04:16:09 +0100
commitdb0387530cf744068f480b68a192d4fc10a81286 (patch)
tree8348dd4cab07cd2edde38b222d49f12afbbc7cdd /eclass/toolchain.eclass
parentsys-devel/gcc: add 11.3.1_p20220520 (diff)
downloadgentoo-db0387530cf744068f480b68a192d4fc10a81286.tar.gz
gentoo-db0387530cf744068f480b68a192d4fc10a81286.tar.bz2
gentoo-db0387530cf744068f480b68a192d4fc10a81286.zip
toolchain.eclass: drop -j1 for src_install
Originates from CVS times (commit hash from git graft): ``` commit 0a4b02d50f2202089927d1526ebe003f54ad55a9 Author: Mike Frysinger <vapier@gentoo.org> Date: Thu Jan 29 06:06:45 2009 +0000 at least gcc-4.1 has problems with parallel installs, so use -j1 with it ``` Doesn't seem relevant in the year 2022 and modern GCCs. Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index c421001209ca..69d674f46b64 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1763,7 +1763,7 @@ toolchain_src_install() {
done < <(find gcc/include*/ -name '*.h')
# Do the 'make install' from the build directory
- S="${WORKDIR}"/build emake -j1 DESTDIR="${D}" install || die
+ S="${WORKDIR}"/build emake DESTDIR="${D}" install || die
# Punt some tools which are really only useful while building gcc
find "${ED}" -name install-tools -prune -type d -exec rm -rf "{}" \;